Bug 296941 - Fatal Server Error
Fatal Server Error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 16:32 EDT by Dominick Grift
Modified: 2009-01-09 02:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:16:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log with related entries. (2.75 KB, text/plain)
2007-09-19 16:32 EDT, Dominick Grift
no flags Details

  None (edit)
Description Dominick Grift 2007-09-19 16:32:29 EDT
Description of problem:
- Games sometimes lock up.

Version-Release number of selected component (if applicable):
xorg-x11-server 1.3.0.0-24.fc8

How reproducible:
Screen sometimes freezes whilst in game and locks up the system.

Steps to Reproduce:
1. Run a (full screen) game

Actual results:
Screen freeze. system locks up

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80cf241]
1: [0x12d420]
2: /usr/lib/xorg/modules/drivers//radeon_drv.so [0x527572]
3: /usr/bin/X [0x80b591f]
4: /usr/lib/xorg/modules/extensions//libextmod.so(XvdiPutImage+0x174) [0x45ffe4]
5: /usr/lib/xorg/modules/extensions//libextmod.so [0x462fb7]
6: /usr/bin/X [0x81522ce]
7: /usr/bin/X(Dispatch+0x1aa) [0x8089a5a]
8: /usr/bin/X(main+0x495) [0x8071795]
9: /lib/libc.so.6(__libc_start_main+0xe0) [0x2130f0]
10: /usr/bin/X(FontFileCompleteXLFD+0x1f5) [0x8070a81]

Fatal server error:
Caught signal 11.  Server aborting

Expected results:
smooth gaming experience

Additional info:
smolt info:
http://smolt.fedoraproject.org/show?UUID=2e794900-56e3-4e64-8118-f9de092dea2c
Comment 1 Dominick Grift 2007-09-19 16:32:29 EDT
Created attachment 200041 [details]
log with related entries.
Comment 2 Dominick Grift 2007-09-20 08:11:37 EDT
With regard to this issue i would like to add that i suspect this Error may be
related to a different scenario as i now doubt that X Server will abort after
the whole system instantly froze.

Here's another issue i had:

Description of problem:
Using Desktop Effects (Compiz) when watching a movie on "Workspace 1" and than
switching to "Workspace 2" caused X server to abort the session.

How to reproduce:
By enabling desktop Effects, start a movie, switch to a new workspace.

1. Enable Desktop Effects.
2. play a movie on the current workspace.
3. while playing a movie switch to a new workspace. 

Actual results:
X server aborts and the session is closed. user sent to login screen.

Expected results:
its expected that i can switch workspaces while playing a movie on one workspace.
Comment 3 Bug Zapper 2008-04-04 09:52:41 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-11-26 02:49:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:16:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.